{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}

<h5> Mirror: {{ name }} ▪️ <a href="/spec/{{name}}">spec</a> </h5>

<form action="{{this_url}}" method="post">
  <button type="submit">Schedule Run</button>
</form>

<table>
  <tr>
    <th> Id </th>
    <th> Started </th>
    <th> Runtime </th>
    <th> Status </th>
    <th> Warnings </th>
    <th> Kind </th>
  </tr>

{% for job in jobs %}
<tr>
  <td> <a href="/job/{{job.id}}">{{ job.id }}</a></td>
  <td> {{ job.started|friendly_time }} </td>
  {% if let Some(ended) = job.ended %}
  <td> {{ job.started|duration_between(ended) }} </td>
  {% else %}
  <td> <label>-</label> </td>
  {% endif %}
  <td>{{ job.status|pretty_job_status|safe }}</td>
  <td>{{ job.warnings|pretty_warning_count|safe}}</td>
  <td><span class="badge">{{ job.kind|pretty_job_kind|safe }}</span></td>
</tr>
{% endfor %}
</table>

<table>
  <th><h6><a href="{{this_url}}?page=0&count={{pagination.items_per_page}}">&laquo;</a></h6></th>
  {% if pagination.page != 0 %}
  <th><h6><a href="{{this_url}}?page={{pagination.page-1}}&count={{pagination.items_per_page}}"><</a></h6></th>
  {% endif %}
  <th><h6>{{pagination.page}}</h6></th>
  {% for i in 0..pagination.future_page_count %}
  <th><h6><a href="{{this_url}}?page={{pagination.page+i+1}}&count={{pagination.items_per_page}}">{{pagination.page+i+1}}</a></h6></th>
  {% endfor %}

  {% if pagination.future_page_count >= 1 %}
  <th><h6><a href="{{this_url}}?page={{pagination.page+1}}&count={{pagination.items_per_page}}">></a></h6></th>
  {% endif %}
</table>

{% endblock %}
